Special Order
RFC2003-8405X Image 6.jpg RFC2003-8405X Image 7.jpg
MPN: RFC2003-8405X

Leed Brakes RFC2003-8405X Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,621.97
HBCJ_RFC2003-8405X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our manual drum to power disc brake conversion. In this kit...
Special Order
MPN: RFC2001SMX

Leed Brakes RFC2001SMX Spindle Kit with Drilled Rotors and Red Powder Coated Calipers

$2,046.31
HBCJ_RFC2001SMX
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1010-K105X

Leed Brakes RFC1010-K105X Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$1,889.23
HBCJ_RFC1010-K105X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to Power disc brake conversion. In this kit you...
Special Order
MPN: RFC1006-3A3X

Leed Brakes RFC1006-3A3X Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers

$1,669.75
HBCJ_RFC1006-3A3X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1003-N6B2X

Leed Brakes RFC1003-N6B2X Power Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers

$2,089.41
HBCJ_RFC1003-N6B2X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1003-3A1X

Leed Brakes RFC1003-3A1X Manual Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers

$1,793.62
HBCJ_RFC1003-3A1X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC0002SMX

Leed Brakes RFC0002SMX Spindle Kit with Drilled Rotors and Red Powder Coated Calipers

$1,886.99
HBCJ_RFC0002SMX
Brake Brake Conversion Kit Brakes Ford Mustang Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RA4138LD

Leed Brakes RA4138LD Rear Disc Brake Caliper with Parking Brake Red Powder Coated RH

$335.45
HBCJ_RA4138LD
Brake Brake Hydraulics Brakes Disc Brake Caliper Leed Brakes
New Red Powder Coated single piston rear brake caliper fully assembled ready to install. This new rear brake caliper replacement includes semi-metallic brake pads,...
Special Order
MPN: PV4BPT

Leed Brakes PV4BPT Proportioning Valve Kit - Disc/Disc Brass

$159.63
HBCJ_PV4BPT
Brake Brake Proportioning Valve Brakes Leed Brakes Valves
Add safety to your brake system with this 4 wheel disc brake brass proportioning valve. When upgrading to a dual bowl master cylinder is...
Special Order
MPN: PRE107

Leed Brakes PRE107 Push rod Ford style threaded

$48.39
HBCJ_PRE107
Body Brake Pedal Push Rod Brakes Hardware, Fasteners and Fittings Leed Brakes
Leed Brakes push rods and pedal hardware are designed to allow you a safe hassle-free way to connect a new master cylinder or power...
Special Order
MPN: PBKT1089

Leed Brakes PBKT1089 Power booster kit 9 inch booster 1-1/8 inch bore master combo valve(Chrome)

$734.51
HBCJ_PBKT1089
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. chrome power booster, 1-1/8 in. bore master cylinder with chrome cap and adjustable...
Special Order
MPN: PBKT1074

Leed Brakes PBKT1074 Power booster kit 9 inch booster 1 inch bore master adj valve (Zinc)

$603.17
HBCJ_PBKT1074
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. power booster, 1 in. bore master cylinder and adjustable proportioning valve. This kit...
Special Order
MPN: PBKT1072

Leed Brakes PBKT1072 Power booster kit 9 inch booster 1 inch bore master disc/disc (Zinc)

$648.06
HBCJ_PBKT1072
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. power booster, 1 in. bore master cylinder and 4 wheel disc proportioning valve....
Special Order
MPN: RFC1006-305X

Leed Brakes RFC1006-305X Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers

$1,548.28
HBCJ_RFC1006-305X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1003-F6B4X

Leed Brakes RFC1003-F6B4X Power Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers

$2,087.17
HBCJ_RFC1003-F6B4X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1002-M1A1X

Leed Brakes RFC1002-M1A1X Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$1,900.10
HBCJ_RFC1002-M1A1X
Brake Brake Conversion Kit Brakes Chevrolet Camaro Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
RFC0025-405PX Image 8.jpg
MPN: RFC0025-405PX

Leed Brakes RFC0025-405PX Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,536.38
HBCJ_RFC0025-405PX
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc conversion with MaxGrip XDS Rotors. In this...
Special Order
MPN: RFC0002-X405MX

Leed Brakes RFC0002-X405MX Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,683.97
HBCJ_RFC0002-X405MX
Brake Brake Conversion Kit Brakes Ford Mustang Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to power disc brake conversion. In this kit you...
Special Order
MPN: RC4001

Leed Brakes RC4001 Rear Disc Brake Kit with Plain Rotors and Zinc Plated Calipers

$1,298.70
HBCJ_RC4001
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your vehicle with our drum to disc brake conversion. In this kit you...
Special Order
MPN: RC1008X

Leed Brakes RC1008X Rear Disc Brake Kit with Drilled Rotors and Zinc Plated Calipers

$1,347.63
HBCJ_RC1008X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your G-body with our GM 10 Bolt Rear End Disc Brake Conversion Kit....
Special Order
MPN: PRE111

Leed Brakes PRE111 Push rod Mustang pedal rod attachment

$76.59
HBCJ_PRE111
Body Brake Pedal Push Rod Brakes Hardware, Fasteners and Fittings Leed Brakes
Leed Brakes push rods and pedal hardware are designed to allow you a safe hassle-free way to connect a new master cylinder or power...
Special Order
MPN: PBKT1088

Leed Brakes PBKT1088 Power booster kit 9 inch booster 1-1/8 inch bore master disc/disc (Chrome)

$732.61
HBCJ_PBKT1088
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. chrome power booster, 1-1/8 in. bore master cylinder with chrome cap and chrome...
Special Order
PBKT1087 Image 1.jpg
MPN: PBKT1087

Leed Brakes PBKT1087 Power booster kit 9 inch booster 1-1/8 inch bore master disc/drum (Chrome)

$739.11
HBCJ_PBKT1087
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. chrome power booster, 1-1/8 in. bore master cylinder with chrome cap and chrome...
Special Order
MPN: RFC2002SMX

Leed Brakes RFC2002SMX Spindle Kit with Drilled Rotors and Red Powder Coated Calipers

$2,007.96
HBCJ_RFC2002SMX
Brake Brake Conversion Kit Brakes Dodge Challenger Dodge Charger Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our Mopar disc brake conversion. In this front disc brake conversion...
Special Order
RFC1010-3A1X Image 5.jpg
MPN: RFC1010-3A1X

Leed Brakes RFC1010-3A1X Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers

$1,700.84
HBCJ_RFC1010-3A1X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
RFC1007-FA3X Image 4.jpg
MPN: RFC1007-FA3X

Leed Brakes RFC1007-FA3X Manual Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers

$1,886.65
HBCJ_RFC1007-FA3X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
MPN: RFC1006-FA3X

Leed Brakes RFC1006-FA3X Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers

$1,762.87
HBCJ_RFC1006-FA3X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Special Order
RFC0003-3405AX Image 3.jpg
MPN: RFC0003-3405AX

Leed Brakes RFC0003-3405AX Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,683.97
HBCJ_RFC0003-3405AX
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to power disc brake conversion. In this kit you...
MPN: RC6002

Leed Brakes RC6002 Rear Disc Brake Kit with Plain Rotors and Zinc Plated Calipers

$1,192.10
HBCJ_RC6002
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your C10 with our GM 12 Bolt Rear End Disc Brake Conversion Kit....
Special Order
RC1001 Image 4.jpg RC1001 Image 7.jpg
MPN: RC1001

Leed Brakes RC1001 Rear Disc Brake Kit with Plain Rotors and Zinc Plated Calipers

$1,222.60
HBCJ_RC1001
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your vehicle with our GM 10 & 12 bolt rear drum to disc...
Special Order
MPN: RC0002X

Leed Brakes RC0002X Rear Disc Brake Kit with Drilled Rotors and Zinc Plated Calipers

$1,318.12
HBCJ_RC0002X
Brake Brake Conversion Kit Brakes Ford Mustang Leed Brakes Service Kits
Add the safety, reliability and performance of rear disc brakes to your vehicle with our drum to disc brake conversion. In this kit you...
Special Order
MPN: PRE106

Leed Brakes PRE106 Push rod coupling nut 3/8-24 x 1 inch

$15.44
HBCJ_PRE106
Body Brake Pedal Push Rod Brakes Hardware, Fasteners and Fittings Leed Brakes
Leed Brakes push rods and pedal hardware are designed to allow you a safe hassle-free way to connect a new master cylinder or power...
Special Order
MPN: PBKT1081

Leed Brakes PBKT1081 Power booster kit 9 inch booster 1 inch flat top (Chrome)

$684.64
HBCJ_PBKT1081
Brake Brakes Chevrolet Camaro Hardware, Fasteners and Fittings Leed Brakes Power Brake Booster with Brake Master Cylinder
Upgrade your 2nd Generation Camaro or Firebird to a 9 in. chrome power booster and 1 in. bore chrome flat top master cylinder. This...
Special Order
MPN: RFC2001-8405X

Leed Brakes RFC2001-8405X Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$2,816.84
HBCJ_RFC2001-8405X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our power drum to disc brake conversion. In this kit you...
Special Order
RFC1011-K105X Image 6.jpg
MPN: RFC1011-K105X

Leed Brakes RFC1011-K105X Power Front Kit with Drilled Rotors and Red Powder Coated Calipers

$1,898.30
HBCJ_RFC1011-K105X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to Power disc brake conversion. In this kit you...
Special Order
MPN: RFC1007-3A1X

Leed Brakes RFC1007-3A1X Manual Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers

$1,765.78
HBCJ_RFC1007-3A1X
Brake Brake Conversion Kit Brakes Leed Brakes Service Kits
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive...
Items 145 to 180 of 1093 total

Your cart

×
🚫

Not Available in Your Region

Sorry, Performance Parts Canada is only available to customers in Canada and the United States.

If you believe this is an error, please contact us at info@performancepartscanada.ca.